# Bulk Update Campaigns

Update multiple campaigns

Endpoint: POST /bulk_update/campaigns
Version: 3.0.1807
Security: Auth0

## Security:

  - `Auth0` (unknown)
    oauth2 scopes: offline_access, manage:services

## Request fields (application/json):

  - `update` (array, required)

  - `update.archived` (boolean)

  - `update.status` (boolean)

  - `update.name` (string)

  - `update.service_type` (string)
    Enum: "SELF", "MANAGED"

  - `update.io_name` (string)

  - `update.io_reference_num` (string)

  - `update.is_programmatic_guaranteed` (boolean)

  - `update.political` (boolean)

  - `update.source_campaign_id` (integer)
    Example: 7

  - `update.zone_name` (string)

  - `update.viewability` (object)

  - `update.viewability.vendor_id` (integer, required)
    Example: 34

  - `update.viewability.type` (string, required)
    Enum: "AUTO_TAG", "BYOV"

  - `update.viewability.sample_rate` (number, required)

  - `update.identity` (object)

  - `update.identity.device_graph_only` (boolean)

  - `update.identity.bid_min_devices` (integer)

  - `update.identity.connected_id_type` (string)
    Enum: "DETERMINISTIC_FIRST"

  - `update.ad_server` (object)

  - `update.ad_server.ad_server_id` (integer)
    Example: 19

  - `update.ad_server.ad_server_username` (string)

  - `update.ad_server.ad_server_password` (string)

  - `update.ad_server.use_default_ad_server` (boolean)

  - `update.ad_server.ad_server_fee` (number)

  - `update.pacing` (object)

  - `update.pacing.pacing_alert` (number)

  - `update.pacing.impression_cap_automatic` (boolean)

  - `update.pacing.impression_cap_amount` (integer)
    Example: 11

  - `update.pacing.impression_cap_type` (string)
    Enum: "even", "asap", "no-limit"

  - `update.pacing.spend_cap_type` (string)
    Enum: "even", "asap", "no-limit"

  - `update.pacing.spend_cap_amount` (number)

  - `update.pacing.spend_cap_automatic` (boolean)

  - `update.pacing.brain_intraday_pacing` (boolean)

  - `update.pacing.spend_pace_ahead` (boolean)
    Boosts automatic spend pacing early in the flight. May be true only when spend_cap_automatic is true.

  - `update.pacing.impression_pace_ahead` (boolean)
    Boosts automatic impression pacing early in the flight. May be true only when impression_cap_automatic is true.

  - `update.attribution` (object)

  - `update.attribution.has_custom_attribution` (boolean)

  - `update.attribution.custom_attribution_source` (string)
    Enum: "3rd Party Attribution", "T1 MTA via Neustar"

  - `update.attribution.pc_window_minutes` (integer)
    Post-click attribution window in minutes. Use null to disable the window; 0 is accepted as a legacy disabled sentinel. When merit_pixel_id is non-null/non-zero or merit_pixels contains at least one pixel, at least one of pc_window_minutes or pv_window_minutes must be greater than 0.
    Example: 5

  - `update.attribution.pv_window_minutes` (integer)
    Post-view attribution window in minutes. Use null to disable the window; 0 is accepted as a legacy disabled sentinel. When merit_pixel_id is non-null/non-zero or merit_pixels contains at least one pixel, at least one of pc_window_minutes or pv_window_minutes must be greater than 0.
    Example: 6

  - `update.attribution.pv_pct` (number)

  - `update.attribution.merit_pixel_id` (integer)
    Deprecated. Use `merit_pixels` instead.
If `merit_pixel_id` is set on create or update then `merit_pixels` will be synchronized with it.
If `merit_pixels` is set on create or update then `merit_pixel_id` will be synchronized with it.
Set up (update) both fields at the same time is not supported.
    Example: 17

  - `update.attribution.merit_pixels` (array)
    Merit pixels for multi-merit attribution (up to 10 per campaign).
If `merit_pixel_id` is set on create or update then `merit_pixels` will be synchronized with it.
If `merit_pixels` is set on create or update then `merit_pixel_id` will be synchronized with it.
Set up (update) both fields at the same time is not supported.
Send empty array to remove all pixels. Send only pixel id for element to reset other fields to default.
Validation rules:
- Each `pixel_id` must reference an event pixel that belongs to the campaign's advertiser.
- `pixel_id` values must be unique within the array.
- `weight` accepts values from 0.00 to 10.00 with at most 2 decimal places; at least one pixel must have a weight greater than 0.
- `funnel_position` values must be unique; if any pixel has a funnel position then all pixels must have one, with no gaps (1 to N).

  - `update.attribution.merit_pixels.pixel_id` (integer, required)

  - `update.attribution.merit_pixels.weight` (number)

  - `update.attribution.merit_pixels.funnel_position` (integer)

  - `update.attribution.conversion_type` (string)
    Enum: "every", "variable"

  - `update.attribution.conversion_variable_minutes` (integer)
    Deduplication window in minutes. Must be 1 or greater when conversion_type is variable. To attribute all merit events without a deduplication window, use conversion_type: every (in which case this value is ignored).
    Example: 1

  - `update.vendor_contracts` (array)

  - `update.vendor_contracts.vendor_id` (integer, required)
    Example: 23

  - `update.vendor_contracts.use_mm_contract` (boolean)

  - `update.vendor_contracts.price` (number)

  - `update.vendor_contracts.rate_card_type` (string)
    Enum: "CPM", "FIXED"

  - `update.mfa_avoidance` (string)
    Enum: "INHERIT", "ALLOW_ALL", "EXCLUDE_MFA"

  - `update.targeting_identity_level` (string)
    Enum: "INHERIT", "INDIVIDUAL", "HOUSEHOLD"

  - `update.id` (integer, required)
    Example: 67

  - `update.version` (integer)
    Example: 1

  - `update.goals` (object)

  - `update.goals.goal_type` (string)
    Enum: "spend", "reach", "cpc", "cpe", "cpa", "roi", "ctr", "vcr", "viewability_rate", "vcpm"

  - `update.goals.goal_alert` (number)

  - `update.goals.goal_value` (number)

  - `update.goals.goal_category` (string)
    Enum: "audience", "engagement", "response"

  - `update.duration` (object)
    Duration of campaigns must not exceed 36 months

  - `update.duration.start_date` (string)

  - `update.duration.end_date` (string)

  - `update.budget` (object)

  - `update.budget.total_budget` (number)

  - `update.budget.total_impression_budget` (integer)
    Example: 18789

  - `update.budget.currency_code` (string)
    Example: USD

  - `update.budget.margin_pct` (number)

  - `update.budget.dynamic_budget_allocation_type` (string)
    Enum: "SBA_AUTO_ALLOCATION", "SBA_RECOMMENDATIONS_ONLY", "OFF"

  - `update.budget.dynamic_budget_allocation_applied` (string)

  - `update.budget.dynamic_budget_allocation_available` (string)

  - `update.budget.flights` (array)

  - `update.budget.flights.id` (integer)
    Example: 77

  - `update.budget.flights.start_date` (string)

  - `update.budget.flights.end_date` (string)
    The latest end date of flight must be no more than 36 months after the earliest start date

  - `update.budget.flights.total_budget` (number)

  - `update.budget.flights.total_impression_budget` (integer)
    Example: 12345

  - `update.frequency` (object)

  - `update.frequency.frequency_type` (string)
    Enum: "even", "asap", "no-limit", "t1-optimized", "frequency_goal"

  - `update.frequency.frequency_interval` (string)
    Enum: "hour", "day", "week", "month", "not-applicable"

  - `update.frequency.frequency_amount` (integer)
    Example: 10

  - `update.frequency.use_mm_freq` (boolean)

  - `update.frequency.frequency_optimization` (boolean)

  - `update.inventory` (object)

  - `update.inventory.ads_txt_verified` (string)
    Enum: "ANY", "AUTHORIZED_ONLY", "AUTHORIZED_DIRECT_ONLY", "NONE"

  - `update.inventory.minimize_multi_ads` (boolean)

  - `update.inventory.override_suspicious_traffic_filter` (boolean)

  - `update.inventory.suspicious_traffic_filter_level` (integer)

  - `update.inventory.dcs_data_is_campaign_level` (boolean)

  - `update.inventory.restrict_targeting_to_deterministic_id` (boolean)

  - `update.inventory.restrict_targeting_to_same_device_id` (boolean)

## Response 200:

  - `200` (unknown)
    Campaign bulk response

## Response 200 fields (application/json):

  - `data` (array)

  - `data.archived` (boolean)

  - `data.status` (boolean)

  - `data.name` (string)

  - `data.service_type` (string)
    Enum: "SELF", "MANAGED"

  - `data.io_name` (string)

  - `data.io_reference_num` (string)

  - `data.is_programmatic_guaranteed` (boolean)

  - `data.political` (boolean)

  - `data.source_campaign_id` (integer)
    Example: 7

  - `data.zone_name` (string)

  - `data.viewability` (object)

  - `data.viewability.vendor_id` (integer, required)
    Example: 34

  - `data.viewability.type` (string, required)
    Enum: "AUTO_TAG", "BYOV"

  - `data.viewability.sample_rate` (number, required)

  - `data.identity` (object)

  - `data.identity.device_graph_only` (boolean)

  - `data.identity.bid_min_devices` (integer)

  - `data.identity.connected_id_type` (string)
    Enum: "DETERMINISTIC_FIRST"

  - `data.ad_server` (object)

  - `data.ad_server.ad_server_id` (integer)
    Example: 19

  - `data.ad_server.ad_server_username` (string)

  - `data.ad_server.ad_server_password` (string)

  - `data.ad_server.use_default_ad_server` (boolean)

  - `data.ad_server.ad_server_fee` (number)

  - `data.pacing` (object)

  - `data.pacing.pacing_alert` (number)

  - `data.pacing.impression_cap_automatic` (boolean)

  - `data.pacing.impression_cap_amount` (integer)
    Example: 11

  - `data.pacing.impression_cap_type` (string)
    Enum: "even", "asap", "no-limit"

  - `data.pacing.spend_cap_type` (string)
    Enum: "even", "asap", "no-limit"

  - `data.pacing.spend_cap_amount` (number)

  - `data.pacing.spend_cap_automatic` (boolean)

  - `data.pacing.brain_intraday_pacing` (boolean)

  - `data.pacing.spend_pace_ahead` (boolean)
    Boosts automatic spend pacing early in the flight. May be true only when spend_cap_automatic is true.

  - `data.pacing.impression_pace_ahead` (boolean)
    Boosts automatic impression pacing early in the flight. May be true only when impression_cap_automatic is true.

  - `data.attribution` (object)

  - `data.attribution.has_custom_attribution` (boolean)

  - `data.attribution.custom_attribution_source` (string)
    Enum: "3rd Party Attribution", "T1 MTA via Neustar"

  - `data.attribution.pc_window_minutes` (integer)
    Post-click attribution window in minutes. Use null to disable the window; 0 is accepted as a legacy disabled sentinel. When merit_pixel_id is non-null/non-zero or merit_pixels contains at least one pixel, at least one of pc_window_minutes or pv_window_minutes must be greater than 0.
    Example: 5

  - `data.attribution.pv_window_minutes` (integer)
    Post-view attribution window in minutes. Use null to disable the window; 0 is accepted as a legacy disabled sentinel. When merit_pixel_id is non-null/non-zero or merit_pixels contains at least one pixel, at least one of pc_window_minutes or pv_window_minutes must be greater than 0.
    Example: 6

  - `data.attribution.pv_pct` (number)

  - `data.attribution.merit_pixel_id` (integer)
    Deprecated. Use `merit_pixels` instead.
If `merit_pixel_id` is set on create or update then `merit_pixels` will be synchronized with it.
If `merit_pixels` is set on create or update then `merit_pixel_id` will be synchronized with it.
Set up (update) both fields at the same time is not supported.
    Example: 17

  - `data.attribution.merit_pixels` (array)
    Merit pixels for multi-merit attribution (up to 10 per campaign).
If `merit_pixel_id` is set on create or update then `merit_pixels` will be synchronized with it.
If `merit_pixels` is set on create or update then `merit_pixel_id` will be synchronized with it.
Set up (update) both fields at the same time is not supported.
Send empty array to remove all pixels. Send only pixel id for element to reset other fields to default.
Validation rules:
- Each `pixel_id` must reference an event pixel that belongs to the campaign's advertiser.
- `pixel_id` values must be unique within the array.
- `weight` accepts values from 0.00 to 10.00 with at most 2 decimal places; at least one pixel must have a weight greater than 0.
- `funnel_position` values must be unique; if any pixel has a funnel position then all pixels must have one, with no gaps (1 to N).

  - `data.attribution.merit_pixels.id` (integer)

  - `data.attribution.merit_pixels.pixel_id` (integer, required)

  - `data.attribution.merit_pixels.weight` (number)

  - `data.attribution.merit_pixels.funnel_position` (integer)

  - `data.attribution.conversion_type` (string)
    Enum: "every", "variable"

  - `data.attribution.conversion_variable_minutes` (integer)
    Deduplication window in minutes. Must be 1 or greater when conversion_type is variable. To attribute all merit events without a deduplication window, use conversion_type: every (in which case this value is ignored).
    Example: 1

  - `data.vendor_contracts` (array)

  - `data.vendor_contracts.vendor_id` (integer, required)
    Example: 23

  - `data.vendor_contracts.use_mm_contract` (boolean)

  - `data.vendor_contracts.price` (number)

  - `data.vendor_contracts.rate_card_type` (string)
    Enum: "CPM", "FIXED"

  - `data.mfa_avoidance` (string)
    Enum: "INHERIT", "ALLOW_ALL", "EXCLUDE_MFA"

  - `data.targeting_identity_level` (string)
    Enum: "INHERIT", "INDIVIDUAL", "HOUSEHOLD"

  - `data.id` (integer, required)
    Example: 67

  - `data.version` (integer)
    Example: 1

  - `data.goals` (object)

  - `data.goals.goal_type` (string)
    Enum: "spend", "reach", "cpc", "cpe", "cpa", "roi", "ctr", "vcr", "viewability_rate", "vcpm"

  - `data.goals.goal_alert` (number)

  - `data.goals.goal_value` (number)

  - `data.goals.goal_category` (string)
    Enum: "audience", "engagement", "response"

  - `data.duration` (object)
    Duration of campaigns must not exceed 36 months

  - `data.duration.start_date` (string)

  - `data.duration.end_date` (string)

  - `data.budget` (object)

  - `data.budget.total_budget` (number)

  - `data.budget.total_impression_budget` (integer)
    Example: 18789

  - `data.budget.currency_code` (string)
    Example: USD

  - `data.budget.margin_pct` (number)

  - `data.budget.dynamic_budget_allocation_type` (string)
    Enum: "SBA_AUTO_ALLOCATION", "SBA_RECOMMENDATIONS_ONLY", "OFF"

  - `data.budget.dynamic_budget_allocation_applied` (string)

  - `data.budget.dynamic_budget_allocation_available` (string)

  - `data.budget.flights` (array)

  - `data.budget.flights.id` (integer)
    Example: 77

  - `data.budget.flights.start_date` (string)

  - `data.budget.flights.end_date` (string)
    The latest end date of flight must be no more than 36 months after the earliest start date

  - `data.budget.flights.total_budget` (number)

  - `data.budget.flights.total_impression_budget` (integer)
    Example: 12345

  - `data.budget.flights.is_relevant` (boolean)

  - `data.frequency` (object)

  - `data.frequency.frequency_type` (string)
    Enum: "even", "asap", "no-limit", "t1-optimized", "frequency_goal"

  - `data.frequency.frequency_interval` (string)
    Enum: "hour", "day", "week", "month", "not-applicable"

  - `data.frequency.frequency_amount` (integer)
    Example: 10

  - `data.frequency.use_mm_freq` (boolean)

  - `data.frequency.frequency_optimization` (boolean)

  - `data.inventory` (object)

  - `data.inventory.ads_txt_verified` (string)
    Enum: "ANY", "AUTHORIZED_ONLY", "AUTHORIZED_DIRECT_ONLY", "NONE"

  - `data.inventory.minimize_multi_ads` (boolean)

  - `data.inventory.override_suspicious_traffic_filter` (boolean)

  - `data.inventory.suspicious_traffic_filter_level` (integer)

  - `data.inventory.dcs_data_is_campaign_level` (boolean)

  - `data.inventory.restrict_targeting_to_deterministic_id` (boolean)

  - `data.inventory.restrict_targeting_to_same_device_id` (boolean)

  - `meta` (object)

  - `meta.status` (string, required)
    The status of the response, indicating success or failure.
    Example: success

  - `meta.count` (integer, required)
    The number of items returned in the current response.
    Example: 10

  - `meta.total_count` (integer)
    The total number of items available in the dataset.
    Example: 100

  - `meta.offset` (integer)
    The offset from the start of the dataset, used for pagination.
    Example: 0

  - `meta.next_page` (string)
    The URL to fetch the next page of results.

  - `meta.prev_page` (string)
    The URL to fetch the previous page of results.

## Response 207:

  - `207` (unknown)
    Campaign bulk response

## Response 207 fields (application/json):

  - `data` (array)

  - `data.archived` (boolean)

  - `data.status` (boolean)

  - `data.name` (string)

  - `data.service_type` (string)
    Enum: "SELF", "MANAGED"

  - `data.io_name` (string)

  - `data.io_reference_num` (string)

  - `data.is_programmatic_guaranteed` (boolean)

  - `data.political` (boolean)

  - `data.source_campaign_id` (integer)
    Example: 7

  - `data.zone_name` (string)

  - `data.viewability` (object)

  - `data.viewability.vendor_id` (integer, required)
    Example: 34

  - `data.viewability.type` (string, required)
    Enum: "AUTO_TAG", "BYOV"

  - `data.viewability.sample_rate` (number, required)

  - `data.identity` (object)

  - `data.identity.device_graph_only` (boolean)

  - `data.identity.bid_min_devices` (integer)

  - `data.identity.connected_id_type` (string)
    Enum: "DETERMINISTIC_FIRST"

  - `data.ad_server` (object)

  - `data.ad_server.ad_server_id` (integer)
    Example: 19

  - `data.ad_server.ad_server_username` (string)

  - `data.ad_server.ad_server_password` (string)

  - `data.ad_server.use_default_ad_server` (boolean)

  - `data.ad_server.ad_server_fee` (number)

  - `data.pacing` (object)

  - `data.pacing.pacing_alert` (number)

  - `data.pacing.impression_cap_automatic` (boolean)

  - `data.pacing.impression_cap_amount` (integer)
    Example: 11

  - `data.pacing.impression_cap_type` (string)
    Enum: "even", "asap", "no-limit"

  - `data.pacing.spend_cap_type` (string)
    Enum: "even", "asap", "no-limit"

  - `data.pacing.spend_cap_amount` (number)

  - `data.pacing.spend_cap_automatic` (boolean)

  - `data.pacing.brain_intraday_pacing` (boolean)

  - `data.pacing.spend_pace_ahead` (boolean)
    Boosts automatic spend pacing early in the flight. May be true only when spend_cap_automatic is true.

  - `data.pacing.impression_pace_ahead` (boolean)
    Boosts automatic impression pacing early in the flight. May be true only when impression_cap_automatic is true.

  - `data.attribution` (object)

  - `data.attribution.has_custom_attribution` (boolean)

  - `data.attribution.custom_attribution_source` (string)
    Enum: "3rd Party Attribution", "T1 MTA via Neustar"

  - `data.attribution.pc_window_minutes` (integer)
    Post-click attribution window in minutes. Use null to disable the window; 0 is accepted as a legacy disabled sentinel. When merit_pixel_id is non-null/non-zero or merit_pixels contains at least one pixel, at least one of pc_window_minutes or pv_window_minutes must be greater than 0.
    Example: 5

  - `data.attribution.pv_window_minutes` (integer)
    Post-view attribution window in minutes. Use null to disable the window; 0 is accepted as a legacy disabled sentinel. When merit_pixel_id is non-null/non-zero or merit_pixels contains at least one pixel, at least one of pc_window_minutes or pv_window_minutes must be greater than 0.
    Example: 6

  - `data.attribution.pv_pct` (number)

  - `data.attribution.merit_pixel_id` (integer)
    Deprecated. Use `merit_pixels` instead.
If `merit_pixel_id` is set on create or update then `merit_pixels` will be synchronized with it.
If `merit_pixels` is set on create or update then `merit_pixel_id` will be synchronized with it.
Set up (update) both fields at the same time is not supported.
    Example: 17

  - `data.attribution.merit_pixels` (array)
    Merit pixels for multi-merit attribution (up to 10 per campaign).
If `merit_pixel_id` is set on create or update then `merit_pixels` will be synchronized with it.
If `merit_pixels` is set on create or update then `merit_pixel_id` will be synchronized with it.
Set up (update) both fields at the same time is not supported.
Send empty array to remove all pixels. Send only pixel id for element to reset other fields to default.
Validation rules:
- Each `pixel_id` must reference an event pixel that belongs to the campaign's advertiser.
- `pixel_id` values must be unique within the array.
- `weight` accepts values from 0.00 to 10.00 with at most 2 decimal places; at least one pixel must have a weight greater than 0.
- `funnel_position` values must be unique; if any pixel has a funnel position then all pixels must have one, with no gaps (1 to N).

  - `data.attribution.merit_pixels.id` (integer)

  - `data.attribution.merit_pixels.pixel_id` (integer, required)

  - `data.attribution.merit_pixels.weight` (number)

  - `data.attribution.merit_pixels.funnel_position` (integer)

  - `data.attribution.conversion_type` (string)
    Enum: "every", "variable"

  - `data.attribution.conversion_variable_minutes` (integer)
    Deduplication window in minutes. Must be 1 or greater when conversion_type is variable. To attribute all merit events without a deduplication window, use conversion_type: every (in which case this value is ignored).
    Example: 1

  - `data.vendor_contracts` (array)

  - `data.vendor_contracts.vendor_id` (integer, required)
    Example: 23

  - `data.vendor_contracts.use_mm_contract` (boolean)

  - `data.vendor_contracts.price` (number)

  - `data.vendor_contracts.rate_card_type` (string)
    Enum: "CPM", "FIXED"

  - `data.mfa_avoidance` (string)
    Enum: "INHERIT", "ALLOW_ALL", "EXCLUDE_MFA"

  - `data.targeting_identity_level` (string)
    Enum: "INHERIT", "INDIVIDUAL", "HOUSEHOLD"

  - `data.id` (integer, required)
    Example: 67

  - `data.version` (integer)
    Example: 1

  - `data.goals` (object)

  - `data.goals.goal_type` (string)
    Enum: "spend", "reach", "cpc", "cpe", "cpa", "roi", "ctr", "vcr", "viewability_rate", "vcpm"

  - `data.goals.goal_alert` (number)

  - `data.goals.goal_value` (number)

  - `data.goals.goal_category` (string)
    Enum: "audience", "engagement", "response"

  - `data.duration` (object)
    Duration of campaigns must not exceed 36 months

  - `data.duration.start_date` (string)

  - `data.duration.end_date` (string)

  - `data.budget` (object)

  - `data.budget.total_budget` (number)

  - `data.budget.total_impression_budget` (integer)
    Example: 18789

  - `data.budget.currency_code` (string)
    Example: USD

  - `data.budget.margin_pct` (number)

  - `data.budget.dynamic_budget_allocation_type` (string)
    Enum: "SBA_AUTO_ALLOCATION", "SBA_RECOMMENDATIONS_ONLY", "OFF"

  - `data.budget.dynamic_budget_allocation_applied` (string)

  - `data.budget.dynamic_budget_allocation_available` (string)

  - `data.budget.flights` (array)

  - `data.budget.flights.id` (integer)
    Example: 77

  - `data.budget.flights.start_date` (string)

  - `data.budget.flights.end_date` (string)
    The latest end date of flight must be no more than 36 months after the earliest start date

  - `data.budget.flights.total_budget` (number)

  - `data.budget.flights.total_impression_budget` (integer)
    Example: 12345

  - `data.budget.flights.is_relevant` (boolean)

  - `data.frequency` (object)

  - `data.frequency.frequency_type` (string)
    Enum: "even", "asap", "no-limit", "t1-optimized", "frequency_goal"

  - `data.frequency.frequency_interval` (string)
    Enum: "hour", "day", "week", "month", "not-applicable"

  - `data.frequency.frequency_amount` (integer)
    Example: 10

  - `data.frequency.use_mm_freq` (boolean)

  - `data.frequency.frequency_optimization` (boolean)

  - `data.inventory` (object)

  - `data.inventory.ads_txt_verified` (string)
    Enum: "ANY", "AUTHORIZED_ONLY", "AUTHORIZED_DIRECT_ONLY", "NONE"

  - `data.inventory.minimize_multi_ads` (boolean)

  - `data.inventory.override_suspicious_traffic_filter` (boolean)

  - `data.inventory.suspicious_traffic_filter_level` (integer)

  - `data.inventory.dcs_data_is_campaign_level` (boolean)

  - `data.inventory.restrict_targeting_to_deterministic_id` (boolean)

  - `data.inventory.restrict_targeting_to_same_device_id` (boolean)

  - `meta` (object)

  - `meta.status` (string, required)
    The status of the response, indicating success or failure.
    Example: success

  - `meta.count` (integer, required)
    The number of items returned in the current response.
    Example: 10

  - `meta.total_count` (integer)
    The total number of items available in the dataset.
    Example: 100

  - `meta.offset` (integer)
    The offset from the start of the dataset, used for pagination.
    Example: 0

  - `meta.next_page` (string)
    The URL to fetch the next page of results.

  - `meta.prev_page` (string)
    The URL to fetch the previous page of results.

## Response 400:

  - `400` (unknown)
    Error response

## Response 400 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 401:

  - `401` (unknown)
    Error response

## Response 401 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 403:

  - `403` (unknown)
    Error response

## Response 403 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

